Subject: [DNSOP] Martin Duke's Discuss on draft-ietf-dnsop-dnssec-iana-cons-04: (with DISCUSS and COMMENT)

From: Martin Duke via Datatracker <[email-masked]>
Date: Tue, 28 Sep 2021 11:34:47 -0700

Martin Duke has entered the following ballot position for
draft-ietf-dnsop-dnssec-iana-cons-04: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dnsop-dnssec-iana-cons/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Holding this point because we should discuss it; this might be a problem to be
solved by a different document, in which case I'll lift it.

Section 8 of RFC8126 says that bis documents should update the reference in
IANA registries to replace obsolete documents with not-obsolete ones. It
appears that 3658 didn't have a "bis" document but clearly was replaced by
three others. I don't really understand how they fully obsolete 3658 if there
are still registries hanging out there. Regardless, perhaps this draft is an
opportunity to update the reference to these registries? Or is 3658 not
"really" obsolete?

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Nit: Please expand DS and NSEC3 on first use.

---

From: Paul Hoffman <[email-masked]>
Date: Wed, 29 Sep 2021 15:49:03 +0000

On Sep 28, 2021, at 11:34 AM, Martin Duke via Datatracker <[email-masked]> wrote:
> three others.

It was obsoleted by RFCs 4033, 4034, and 4035. Those are not "bis" documents, they are full replacements.

> I don't really understand how they fully obsolete 3658 if there
> are still registries hanging out there.

Please define "hanging out there". :-) The registry of interest is at <https://www.iana.org/assignments/ds-rr-types/ds-rr-types.xhtml#ds-rr-types-1>. The "Reference" section in that registry lists "[RFC3658][RFC4034][RFC4035]".

Is your objection that the registry still lists RFC 3658? If so, this seems an IANA issue, not an issue with this draft.

> Regardless, perhaps this draft is an
> opportunity to update the reference to these registries?

The draft refers to the correct registry.

> Or is 3658 not

It is really obsolete, and has been for well over a decade.

Is this explanation complete enough for you to lift your DISCUSS ballot?

Good catch; I will add these to the -05 draft.

--Paul Hoffman

---

From: Martin Duke <[email-masked]>
Date: Wed, 29 Sep 2021 09:15:49 -0700

Thank you for clarifying. If 4033-4035 fully replaced 3658, then one of
them should have picked up the specification of the registry that 3658
established. Maybe this is something that could be addressed in this
document, or perhaps somewhere else; I'd like to have the discussion.

On Wed, Sep 29, 2021 at 8:49 AM Paul Hoffman <[email-masked]> wrote:

> Please define "hanging out there". :-) The registry of interest is at <
> https://www.iana.org/assignments/ds-rr-types/ds-rr-types.xhtml#ds-rr-types-1>.
> The "Reference" section in that registry lists
> "[RFC3658][RFC4034][RFC4035]".
>
> Is your objection that the registry still lists RFC 3658? If so, this
> seems an IANA issue, not an issue with this draft.
>

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 29 Sep 2021 12:35:23 -0400

It would seem that registry references are not always fully updated.
Another example I stumbled over recently is that RFC 3404 obsoletes RFCs
2915 and 2168 but they were both left in as references in the IANA RR
registry entry for NAPTR when RFC 3404 was added as a reference... Last I
heard, IANA was checking with the Experts for that registry and IANA
considered it up to those experts whether to leave in the obsoleted
references or not.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

On Wed, Sep 29, 2021 at 12:16 PM Martin Duke <[email-masked]>
wrote:

> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>

---

From: Amanda Baber <[email-masked]>
Date: Wed, 29 Sep 2021 17:11:55 +0000

Hi,

The RR TYPE experts do want us to leave those obsoleted references in the registry). We’re asking them to clarify whether this should be the case for all future entries in that registry as well.

Best regards,
Amanda

From: iesg <[email-masked]> on behalf of Donald Eastlake <[email-masked]>
Date: Wednesday, September 29, 2021 at 9:35 AM
To: Martin Duke <[email-masked]>
Cc: dnsop <[email-masked]>, The IESG <[email-masked]>
Subject: Re: [DNSOP] [Ext] Martin Duke's Discuss on draft-ietf-dnsop-dnssec-iana-cons-04: (with DISCUSS and COMMENT)

It would seem that registry references are not always fully updated. Another example I stumbled over recently is that RFC 3404 obsoletes RFCs 2915 and 2168 but they were both left in as references in the IANA RR registry entry for NAPTR when RFC 3404 was added as a reference... Last I heard, IANA was checking with the Experts for that registry and IANA considered it up to those experts whether to leave in the obsoleted references or not.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]<mailto:[email-masked]>

On Wed, Sep 29, 2021 at 12:16 PM Martin Duke <[email-masked]<mailto:[email-masked]>> wrote:
Thank you for clarifying. If 4033-4035 fully replaced 3658, then one of them should have picked up the specification of the registry that 3658 established. Maybe this is something that could be addressed in this document, or perhaps somewhere else; I'd like to have the discussion.

On Wed, Sep 29, 2021 at 8:49 AM Paul Hoffman <[email-masked]<mailto:[email-masked]>> wrote:

--Paul Hoffman
_______________________________________________
DNSOP mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dnsop [ietf.org]<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/dnsop__;!!PtGJab4!oWGAugG-vcOFMh2gv2_p7Y_MJ6rojyzOPJc4bZWxOEv1jyp07kFZtfd6MuuoaZQIV-xL1EzV$>

---

From: Paul Hoffman <[email-masked]>
Date: Wed, 29 Sep 2021 17:25:52 +0000

On Sep 29, 2021, at 9:15 AM, Martin Duke <[email-masked]> wrote:
> 
> Thank you for clarifying. If 4033-4035 fully replaced 3658,

They really do.

> then one of them should have picked up the specification of the registry that 3658 established.

Not "one of them", unfortunately. The semantics for the DS record from 3658 are spread out in 4034 and 4035 (which have a lot of other things in them as well).

> Maybe this is something that could be addressed in this document, or perhaps somewhere else; I'd like to have the discussion.

If the scope is "what does this particular IANA registry page list as references", maybe this is not in scope for this document (which only updates the registration requirements), but instead in scope for a discussion between the IESG and IANA.

--Paul Hoffman